import { defineManifestConfig } from '@uni-helper/vite-plugin-uni-manifest'

export default defineManifestConfig({
  'name': '全能查',
  'appid': '__UNI__CC3DA09',
  'description': '',
  'versionName': '1.0.0',
  'versionCode': '104',
  'transformPx': false,
  /* 5+App特有相关 */
  'app-plus': {
    usingComponents: true,
    nvueStyleCompiler: 'uni-app',
    compilerVersion: 3,
    background: '#000000',
    compatible: {
      ignoreVersion: true,
    },
    splashscreen: {
      alwaysShowBeforeRender: true,
      waiting: true,
      autoclose: true,
      delay: 0,
    },

    /* 模块配置 */
    modules: {
      Payment: {},
      Share: {},
    },
    /* 应用发布信息 */
    distribute: {
      /* android打包配置 */
      android: {
        package: 'com.quannengcha.app',
        permissions: [
          '<uses-permission android:name="android.permission.INTERNET"/>',
          '<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>',
          '<uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>',
        ],
      },
      /* ios打包配置 */
      ios: {
        privacyDescription: {
          NSLocalNetworkUsageDescription: '需要访问您的网络来提供更好的服务',
        },
        idfa: false,
        bundleIdentifier: 'com.allinone.check',
      },
      /* SDK配置 */
      sdkConfigs: {
        payment: {
          appleiap: {
            inAppPurchase: true,
          },

          // #ifdef APP-ANDROID
          alipay: {
            __platform__: ['ios', 'android'],
          },
          // #endif

        },
        // share: {
        //   weixin: {
        //     appid: 'wx开头的微信开放平台AppID',
        //     UniversalLinks: 'https://www.quannengcha.com/app/',
        //   }
        // },
        // oauth: {
        //   weixin: {
        //     appid: 'wx开头的微信开放平台AppID',
        //     appsecret: '微信开放平台AppSecret',
        //     UniversalLinks: 'https://www.quannengcha.com/app/'
        //   }
        // }
      },
      icons: {
        android: {
          hdpi: 'src/static/icons/72x72.png',
          xhdpi: 'src/static/icons/96x96.png',
          xxhdpi: 'src/static/icons/144x144.png',
          xxxhdpi: 'src/static/icons/192x192.png',
        },
        ios: {
          appstore: 'src/static/icons/1024x1024.png',
          ipad: {
            'app': 'src/static/icons/76x76.png',
            'app@2x': 'src/static/icons/152x152.png',
            'notification': 'src/static/icons/20x20.png',
            'notification@2x': 'src/static/icons/40x40.png',
            'proapp@2x': 'src/static/icons/167x167.png',
            'settings': 'src/static/icons/29x29.png',
            'settings@2x': 'src/static/icons/58x58.png',
            'spotlight': 'src/static/icons/40x40.png',
            'spotlight@2x': 'src/static/icons/80x80.png',
          },
          iphone: {
            'app@2x': 'src/static/icons/120x120.png',
            'app@3x': 'src/static/icons/180x180.png',
            'notification@2x': 'src/static/icons/40x40.png',
            'notification@3x': 'src/static/icons/60x60.png',
            'settings@2x': 'src/static/icons/58x58.png',
            'settings@3x': 'src/static/icons/87x87.png',
            'spotlight@2x': 'src/static/icons/80x80.png',
            'spotlight@3x': 'src/static/icons/120x120.png',
          },
        },
      },
    },
  },
  /* 快应用特有相关 */
  'quickapp': {},
  /* 小程序特有相关 */
  'mp-weixin': {
    appid: '',
    setting: {
      urlCheck: false,
    },
    usingComponents: true,
    darkmode: false,
    themeLocation: 'theme.json',
  },
  'mp-alipay': {
    usingComponents: true,
  },
  'mp-baidu': {
    usingComponents: true,
  },
  'mp-toutiao': {
    usingComponents: true,
  },
  'h5': {
    darkmode: false,
    themeLocation: 'theme.json',
  },
  'uniStatistics': {
    enable: false,
  },
  'vueVersion': '3',

  /* UTS 插件配置 */
  'uts': {
    'plugins': {
      'webview': {
        'version': '1.0.0',
        'description': 'Web视图插件，支持在App内打开网页',
        'platforms': {
          'android': {
            'appid': '__UNI_WEBVIEW_ANDROID',
            'autostart': false
          },
          'ios': {
            'appid': '__UNI_WEBVIEW_IOS',
            'autostart': false
          }
        }
      }
    }
  }
})
